r2633 - in dists/trunk/live-helper: functions helpers

daniel at alioth.debian.org daniel at alioth.debian.org
Sun Jul 29 15:42:20 UTC 2007


Author: daniel
Date: 2007-07-29 15:42:20 +0000 (Sun, 29 Jul 2007)
New Revision: 2633

Modified:
   dists/trunk/live-helper/functions/packages.sh
   dists/trunk/live-helper/helpers/lh_bootstrap_cdebootstrap
   dists/trunk/live-helper/helpers/lh_bootstrap_debootstrap
Log:


Modified: dists/trunk/live-helper/functions/packages.sh
===================================================================
--- dists/trunk/live-helper/functions/packages.sh	2007-07-29 14:31:09 UTC (rev 2632)
+++ dists/trunk/live-helper/functions/packages.sh	2007-07-29 15:42:20 UTC (rev 2633)
@@ -16,23 +16,29 @@
 
 	case "${LIVE_CHROOT_BUILD}" in
 		enabled)
-			if ! `Chroot "dpkg-query -s ${PACKAGE}"`
-			then
-				PACKAGES="${PACKAGES} ${PACKAGE}"
-			fi
+			for ITEM in ${PACKAGE}
+			do
+				if ! `Chroot "dpkg-query -s ${ITEM}"`
+				then
+					PACKAGES="${PACKAGES} ${ITEM}"
+				fi
+			done
 			;;
 
 		disabled)
 			if `which dpkg-query`
 			then
-				if ! `Chroot "dpkg-query -s ${PACKAGE}"`
-				then
-					PACKAGES="${PACKAGES} ${PACKAGE}"
-				fi
+				for ITEM in ${PACKAGE}
+				do
+					if ! `dpkg-query -s ${ITEM}`
+					then
+						PACKAGES="${PACKAGES} ${ITEM}"
+					fi
+				done
 			else
 				FILE="`echo ${FILE} | sed -e 's/chroot//'`"
 
-				if [ ! -f "${FILE}" ]
+				if [ ! -f "${FILE}" ] && [ ! -d "${FILE}" ]
 				then
 					Echo_error "You need to install ${PACKAGE} on your host system."
 					exit 1

Modified: dists/trunk/live-helper/helpers/lh_bootstrap_cdebootstrap
===================================================================
--- dists/trunk/live-helper/helpers/lh_bootstrap_cdebootstrap	2007-07-29 14:31:09 UTC (rev 2632)
+++ dists/trunk/live-helper/helpers/lh_bootstrap_cdebootstrap	2007-07-29 15:42:20 UTC (rev 2633)
@@ -39,6 +39,8 @@
 
 Echo_message "Begin bootstrapping system..."
 
+Check_package /usr/bin/cdebootstrap cdebootstrap
+
 # Ensure that a system is built as root
 lh_testroot
 

Modified: dists/trunk/live-helper/helpers/lh_bootstrap_debootstrap
===================================================================
--- dists/trunk/live-helper/helpers/lh_bootstrap_debootstrap	2007-07-29 14:31:09 UTC (rev 2632)
+++ dists/trunk/live-helper/helpers/lh_bootstrap_debootstrap	2007-07-29 15:42:20 UTC (rev 2633)
@@ -39,6 +39,8 @@
 
 Echo_message "Begin bootstrapping system..."
 
+Check_package /usr/sbin/debootstrap debootstrap
+
 # Ensure that a system is built as root
 lh_testroot
 




More information about the debian-live-changes mailing list